#
# spec file for package perl-CPAN-Reporter-Smoker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Reporter-Smoker
Version:        0.29
Release:        1.1
%define cpan_name CPAN-Reporter-Smoker
Summary:        Turnkey CPAN Testers smoking
License:        Apache-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Reporter-Smoker/
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN) >= 1.93
BuildRequires:  perl(CPAN::Checksums)
BuildRequires:  perl(CPAN::HandleConfig)
BuildRequires:  perl(CPAN::Reporter::History) >= 1.1702
BuildRequires:  perl(CPAN::Tarzip)
BuildRequires:  perl(Compress::Zlib) >= 1.2
BuildRequires:  perl(Cwd) >= 3.27
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.46
BuildRequires:  perl(File::Spec) >= 3.27
BuildRequires:  perl(File::Temp) >= 0.20
BuildRequires:  perl(IO::CaptureOutput) >= 1.06
BuildRequires:  perl(Module::Build) >= 0.300000
BuildRequires:  perl(Probe::Perl) >= 0.01
BuildRequires:  perl(Term::Title) >= 0.01
BuildRequires:  perl(Test::Reporter) >= 1.58
Requires:       perl(CPAN) >= 1.93
Requires:       perl(CPAN::HandleConfig)
Requires:       perl(CPAN::Reporter::History) >= 1.1702
Requires:       perl(CPAN::Tarzip)
Requires:       perl(Compress::Zlib) >= 1.2
Requires:       perl(ExtUtils::MakeMaker) >= 6.46
Requires:       perl(File::Spec) >= 3.27
Requires:       perl(File::Temp) >= 0.20
Requires:       perl(Module::Build) >= 0.300000
Requires:       perl(Probe::Perl) >= 0.01
Requires:       perl(Term::Title) >= 0.01
Requires:       perl(Test::Reporter) >= 1.58
%{perl_requires}

%description
Rudimentary smoke tester for CPAN Testers, built upon CPAN::Reporter. Use
at your own risk. It requires a recent version of CPAN::Reporter to run.

Currently, CPAN::Reporter::Smoker requires zero independent configuration;
instead it uses configuration settings from CPAN.pm and CPAN::Reporter.

Once started, it retrieves a list of distributions from the configured CPAN
mirror and begins testing them in reverse order of upload. It will skip any
distribution which has already had a report sent by CPAN::Reporter.

Features (or bugs, depending on your point of view):

  * No configuration needed

  * Tests each distribution as a separate CPAN process -- each distribution has
prerequisites like build_requires satisfied from scratch

  * Automatically checks for new distributions every twelve hours or as
otherwise specified

  * Continues until interrupted with CTRL-C

  * Checks CPAN.pm "distroprefs" to see if distributions should be skipped
(before handing off to CPAN)

Current limitations:

  * Does not attempt to retest distributions that had reports discarded because
of prerequisites that could not be satisfied

  * Does not test trial version if there is no non-trial version

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.mkdn README Todo
%license LICENSE

%changelog
* Mon Apr 17 2017 coolo@suse.com
- updated to 0.29
  see /usr/share/doc/packages/perl-CPAN-Reporter-Smoker/Changes
  0.29      2017-04-15 09:52:48-04:00 America/New_York
    [FIXED]
  - Fixed tests for perls without '.' in @INC.
* Tue Mar  8 2016 coolo@suse.com
- updated to 0.28
  see /usr/share/doc/packages/perl-CPAN-Reporter-Smoker/Changes
  0.28      2016-02-29 19:06:11-05:00 America/New_York
    [ADDED]
  - More tests (CHORNY)
  - New experimental option to skip distributions released before some date (CHORNY)
  - New experimental option _hook_after_test (CHORNY)
    [FIXED]
  - Skips Perl 6 distributions
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.27
  see /usr/share/doc/packages/perl-CPAN-Reporter-Smoker/Changes
  0.27      2015-03-10 04:33:13-04:00 America/New_York
    [ADDED]
  - New option 'random' to randomize distribution test order (GREGOA)
  0.26      2014-03-14 15:52:43+01:00 Europe/Paris
    [ADDED]
  - New option 'skip_dev_versions' to work on minicpans (CHORNY)
  0.25      2013-11-06 10:06:15 America/New_York
  - Add reloading history of modules smoked (CHORNY)
  - Add support for custom filtering (CHORNY)
  0.24      2011-07-21 00:12:34 America/New_York
  - Fixes test failures with CPAN::Reporter 1.19_04
  0.23      2011-06-01 17:54:27 America/New_York
  - Fix cache cleanup with newer CPAN.pm (STSC)
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.24
  see /usr/share/doc/packages/perl-CPAN-Reporter-Smoker/Changes
  0.24      2011-07-21 00:12:34 America/New_York
  - Fixes test failures with CPAN::Reporter 1.19_04
  0.23      2011-06-01 17:54:27 America/New_York
  - Fix cache cleanup with newer CPAN.pm (STSC)
* Fri May 13 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.6
* Fri May 13 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.6
* Fri May 13 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.6
* Fri May 13 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.5
* Fri May 13 2011 jw@novell.com
- initial package 0.22
  * created by cpanspec 1.78.04
